Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class Target

    java.lang.Object
      |
      +--netscape.security.Target

Direct Known Subclasses:
  UserTarget

public class Target
extends Object

Dummy class.

Constructor Summary
`Target()`
`Target(String s)`
`Target(String s, Principal p)`
`Target(String s1, Principal p, String s2, String s3, String s4, String s5)`
`Target(String s1, Principal p, String s2, String s3, String s4, String s5, Target[] ta)`
`Target(String s, Principal p, Target[] ta)`

Method Summary
`Privilege` | `checkPrivilegeEnabled(Principal[] pa)`
`Privilege` | `checkPrivilegeEnabled(Principal[] pa, Object o)`
`Privilege` | `checkPrivilegeEnabled(Principal p, Object o)`
`Privilege` | `enablePrivilege(Principal p, Object o)`
`static Target` | `findTarget(String s)`
`static Target` | `findTarget(String s, Principal p)`
`static Target` | `findTarget(Target t)`
`String` | `getDescription()`
`String` | `getDetailedInfo(Object o)`
`String` | `getHelpUrl()`
`String` | `getRisk()`
`String` | `getRiskColor()`
`static Target` | `getTargetFromDescription(String s)`
`Target` | `registerTarget()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Target

    public Target()

### Target

    public Target(String s,
                  Principal p)

### Target

    public Target(String s)

### Target

    public Target(String s,
                  Principal p,
                  Target[] ta)

### Target

    public Target(String s1,
                  Principal p,
                  String s2,
                  String s3,
                  String s4,
                  String s5)

### Target

    public Target(String s1,
                  Principal p,
                  String s2,
                  String s3,
                  String s4,
                  String s5,
                  Target[] ta)

Method Detail

### registerTarget

    public Target registerTarget()

### findTarget

    public static Target findTarget(String s)

### findTarget

    public static Target findTarget(String s,
                                    Principal p)

### findTarget

    public static Target findTarget(Target t)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] pa,
                                           Object o)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] pa)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal p,
                                           Object o)

### enablePrivilege

    public Privilege enablePrivilege(Principal p,
                                     Object o)

### getRisk

    public String getRisk()

### getRiskColor

    public String getRiskColor()

### getDescription

    public String getDescription()

### getTargetFromDescription

    public static Target getTargetFromDescription(String s)

### getHelpUrl

    public String getHelpUrl()

### getDetailedInfo

    public String getDetailedInfo(Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.